Debian Bug report logs - #594293
picprog: non-standard gcc/g++ used for build (gcc-4.3)

version graph

Package: picprog; Maintainer for picprog is Koichi Akabe <vbkaisetsu@gmail.com>; Source for picprog is src:picprog.

Reported by: Matthias Klose <doko@debian.org>

Date: Wed, 25 Aug 2010 06:03:57 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version picprog/1.9.0-1.1

Fixed in version picprog/1.9.0-1.2

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Jan Wagemakers <janw@dommel.be>:
Bug#594293; Package picprog. (Wed, 25 Aug 2010 06:04:00 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Jan Wagemakers <janw@dommel.be>. (Wed, 25 Aug 2010 06:04:00 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: picprog: non-standard gcc/g++ used for build (gcc-4.3)
Date: Wed, 25 Aug 2010 05:59:09 +0000
Package: picprog
Version: 1.9.0-1.1
Severity: normal
User: debian-gcc@lists.debian.org
Usertags: non-standard-compiler, gcc-4.3

This package builds with a non standard compiler version; please check
if this package can be built with the default version of gcc/g++.

Please keep this report open until the package uses the default
compiler version for the package build.

The severity of this report is likely to be raised before the release.





Information stored :
Bug#594293; Package picprog. (Wed, 25 Aug 2010 18:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Wagemakers <janw@dommel.be>:
Extra info received and filed, but not forwarded.

You requested that the message be sent to the package maintainer(s) but either the Bug report is not associated with any package (probably because of a missing Package pseudo-header field in the original Bug report), or the package(s) specified do not have any maintainer(s).

Your message has *not* been sent to any package maintainers; it has merely been filed in the Bug tracking system. If you require assistance please contact owner@bugs.debian.org quoting the Bug number 594293.

(Wed, 25 Aug 2010 18:54:05 GMT) Full text and rfc822 format available.


Message #10 received at 594293-maintonly@bugs.debian.org (full text, mbox):

From: Jan Wagemakers <janw@dommel.be>
To: Matthias Klose <doko@debian.org>, 594293-maintonly@bugs.debian.org
Subject: Re: Bug#594293: picprog: non-standard gcc/g++ used for build (gcc-4.3)
Date: Wed, 25 Aug 2010 20:44:32 +0200
Matthias Klose schreef:

> This package builds with a non standard compiler version; please check
> if this package can be built with the default version of gcc/g++.

There is a new upstream version (1.9.1) of picprog available. I have created
a Debian package for it¹, which compiles with gcc-4.4. I'm not a DD, so it
would be great if a DD can take a look and if everything is OK. sponsor this
package.


[¹] <http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=picprog>
-- 
Met vriendelijke groetjes         - Jan Wagemakers -

... WWW: <http://www.janw.dommel.be/>




Severity set to 'serious' from 'normal' Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Thu, 31 Mar 2011 13:33:26 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sat, 02 Apr 2011 17:24:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jan Wagemakers <janw@dommel.be>:
Bug#594293; Package picprog. (Thu, 15 Sep 2011 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Jan Wagemakers <janw@dommel.be>. (Thu, 15 Sep 2011 15:57:03 GMT) Full text and rfc822 format available.

Message #19 received at 594293@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 594293@bugs.debian.org, 629741@bugs.debian.org
Subject: picprog: diff for NMU version 1.9.0-1.2
Date: Thu, 15 Sep 2011 17:54:14 +0200
[Message part 1 (text/plain, inline)]
tags 594293 + patch
tags 594293 + pending
tags 629741 + patch
tags 629741 + pending
thanks

Dear maintainer,

I've prepared an NMU for picprog (versioned as 1.9.0-1.2) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - PGP/GPG key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Memphis Minnie: Crazy cryin' blues
[picprog-1.9.0-1.2-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 15 Sep 2011 15:57:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 15 Sep 2011 15:57:07 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sat, 17 Sep 2011 16:06:35 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Sat, 17 Sep 2011 16:06:35 GMT) Full text and rfc822 format available.

Message #28 received at 594293-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 594293-close@bugs.debian.org
Subject: Bug#594293: fixed in picprog 1.9.0-1.2
Date: Sat, 17 Sep 2011 16:03:38 +0000
Source: picprog
Source-Version: 1.9.0-1.2

We believe that the bug you reported is fixed in the latest version of
picprog, which is due to be installed in the Debian FTP archive:

picprog_1.9.0-1.2.diff.gz
  to main/p/picprog/picprog_1.9.0-1.2.diff.gz
picprog_1.9.0-1.2.dsc
  to main/p/picprog/picprog_1.9.0-1.2.dsc
picprog_1.9.0-1.2_i386.deb
  to main/p/picprog/picprog_1.9.0-1.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594293@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated picprog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 15 Sep 2011 17:45:14 +0200
Source: picprog
Binary: picprog
Architecture: source i386
Version: 1.9.0-1.2
Distribution: unstable
Urgency: low
Maintainer: Jan Wagemakers <janw@dommel.be>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 picprog    - Microchip PIC serial programmer software
Closes: 594293 629741
Changes: 
 picprog (1.9.0-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "non-standard gcc/g++ used for build (gcc-4.3)" and
     "FTBFS: build-dependency not installable: libstdc++6-4.3-dev":
     drop build dependency on libstdc++6-4.3-dev
     Closes: #629741, #594293
     LP: #745544
Checksums-Sha1: 
 314a96e9876ffd9c2917a5229294cec92d52cb2d 1650 picprog_1.9.0-1.2.dsc
 7afcc994892500020dffaec87671449b1b0d3a62 3762 picprog_1.9.0-1.2.diff.gz
 3c6f2f5172387a4e401cfc8ea0de9c8b1901bb6c 68758 picprog_1.9.0-1.2_i386.deb
Checksums-Sha256: 
 6ff476793fb984a3daf5ad1e96ffd86638ea6ddb2e77202ba65f354bc2fbf6c3 1650 picprog_1.9.0-1.2.dsc
 490fbea10680b9c75215f8804cc9235f5a0eee7cab3a66031c99dcfaffa375e3 3762 picprog_1.9.0-1.2.diff.gz
 022b37dbfcd548ca2d5827941bd6a9602c0853fa8d1a887d5a514c91ae9238a5 68758 picprog_1.9.0-1.2_i386.deb
Files: 
 b23540befb31cb65d9f23b9aaef2c73d 1650 electronics optional picprog_1.9.0-1.2.dsc
 d95dccba882c2528364de06161ebc0a2 3762 electronics optional picprog_1.9.0-1.2.diff.gz
 56309fe905f79f0b72df55331cf6fdb3 68758 electronics optional picprog_1.9.0-1.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOch79AAoJELs6aAGGSaoGGH4QAIhOCDiZpkGTncWKyfr0oeSE
rEE7q9I8DG0AU03pGpgHvlkn/q24i6jwGqX38P+AMD/TVJtYxDCEA2qizy5FrzKj
T0PUByXGjDqadQcH4oMTa2+LmxFEJV8URaCE4M6GFHe7v0m+9UcnYnWdsvgcbxR7
R4mGFseuNOfKjGn4ls0o9ipsFa8q17hv5VrNXQ17bXkjDRlAXM1EG5kHyK96MXgF
gEYKyWk/HgKkZ0B+/xtSvqeLZ9qN7IQdbn//Zrfq5Gk42IwDJmLH5bjEd+r7VieR
V54+CxdQ7svTqtTQrMx4iaMf3luELL/fTgyNwArv82W5vqr8Lh1Q0q5TU4x3VaFc
8FhvBnICfq9pnAWXev8r1+hlkXGeYS/BiYDX06t9v/4l3hlkxMiGR945Yn8KmGvq
xpQmcIKzqKotApPVWhHqCRyAn7uwpBC8HPU7jQcW+IOuCs3ENXjxOGSGAQ2wz1cu
6eYuP+fhcARdtXE44Ky+pS98Zh9ADgMfSLoNvpeAhZUAB78Q9eofqxgz/r6N9UvI
e3Q/1K+y+6MIxxdErKdKj45u8GnjUxLem1NROYw/TtlU1JBywlaN8eksk5uORPRu
JV5Cml9F9oJBmYiBKHDMJr+Ap0zRKe9oYO1pDI+OmL9JUR8Kj1qfxiSdT8MVtj3h
FKLtMsf1Q9UxusuGS7Qg
=RIGS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 09:45:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:51:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.